Przeglądarka pamięci podręcznej zestawów

Przewodnik dewelopera platformy .NET Framework
Przeglądarka pamięci podręcznej zestawów
DropDown image

Przeglądarka pamięci podręcznej zestawów jest rozszerzeniem powłoki systemu Windows, umożliwiającym wyświetlanie zawartości globalnej pamięci podręcznej zestawów i manipulowanie nią w Eksploratorze Windows.

Używanie przeglądarki pamięci podręcznej zestawów

Za pomocą przeglądarki pamięci podręcznej zestawów można wykonywać następujące zadania:

  • Wyświetlanie zawartości pamięci podręcznej.

  • Wyświetlanie i zmienianie limitów rozmiaru pamięci podręcznej dla pobierania.

  • Wyświetlanie właściwości pojedynczych zestawów.

  • Dodawanie zestawów do pamięci podręcznej.

  • Usuwanie zestawów z pamięci podręcznej.

  • Wyświetlanie informacji Pomocy.

Aby wyświetlić zawartość pamięci podręcznej zestawów

  • W Eksploratorze Windows przejdź do podkatalogu \assembly w katalogu systemu Windows: <dysk_systemowy>:\<folder_systemu_Windows>\assembly. Zostanie wyświetlona zawartość globalnej pamięci podręcznej zestawów.

    Biblioteka shfusion.dll powoduje, że zawartość folderu zestawu jest wyświetlana w nieco inny sposób niż zawartość normalnych folderów systemu Windows. Wyświetlane są nazwy zestawów zainstalowanych w globalnej pamięci podręcznej zestawów, a także szczegółowe informacje o każdym zestawie, obejmujące jego typ, wersję, ustawienia regionalne i token klucza publicznego.

    Biblioteka shfusion.dll znajduje się w katalogu %windir%\Microsoft.NET\Framework\vx.x.xxxx, gdzie vx.x.xxxx oznacza najwyższą zainstalowaną wersję platformy .NET Framework. Jeśli na przykład są zainstalowane wersje 1.1.4322 i 1.0.5000, zostanie użyta wersja 1.1.4322.

Poniższy zrzut ekranu ilustruje sposób wyświetlania zawartości pamięci podręcznej zestawów w przeglądarce.

Zawartość globalnej pamięci podręcznej zestawów

Aby wyświetlić lub zmienić limity rozmiaru pamięci podręcznej dla pobierania

  • Wybierz polecenie Konfiguruj ustawienia pamięci podręcznej z menu Narzędzia w systemie Windows NT lub z menu Widok w systemie Windows 98. Można także kliknąć ikonę Konfiguruj ustawienia pamięci podręcznej na pasku narzędzi.

    Zostanie wyświetlone okno dialogowe Właściwości pamięci podręcznej. To okno dialogowe jest podobne do standardowego okna dialogowego właściwości dysku, ale wyświetla ilość zajętego miejsca w pamięci podręcznej (w megabajtach).

Poniższy zrzut ekranu przedstawia okno dialogowe Właściwości pamięci podręcznej.

Okno dialogowe Właściwości pamięci podręcznej

Aby wyświetlić właściwości zestawu

  • Kliknij prawym przyciskiem myszy nazwę zestawu w przeglądarce i wybierz polecenie Właściwości z menu skrótów.

    Zostanie wyświetlone okno dialogowe Właściwości, zawierające następujące informacje o zestawie: nazwa, wersja, ustawienia regionalne, klucz publiczny, baza kodu, z której pochodzi zestaw, oraz data ostatniej modyfikacji zestawu. Właściwości zestawu można także wyświetlić za pomocą menu Plik.

Poniższy zrzut ekranu przedstawia okno dialogowe Właściwości dla zestawu System.Data.

Okno dialogowe Właściwości zestawu

Aby dodać zestaw do pamięci podręcznej

  • Za pomocą Eksploratora Windows przeciągnij plik zawierający manifest do katalogu pamięci podręcznej zestawu. Do pamięci podręcznej można dodawać tylko zestawy mające nazwy silne.

Użytkownicy posiadający zestaw .NET Framework SDK, mogą także dodawać zestawy do pamięci podręcznej za pomocą narzędzia Global Assembly Cache Tool (Gacutil.exe).

Aby usunąć zestaw z pamięci podręcznej

  • Kliknij prawym przyciskiem myszy zestaw w przeglądarce i wybierz polecenie Usuń z menu skrótów.

Zestawy można także usuwać za pomocą menu Plik. Użytkownicy posiadający zestaw .NET Framework SDK mogą również używać do tego celu narzędzia Gacutil.exe.

Aby wyświetlić pomoc dotyczącą przeglądarki

  • Naciśnij klawisz F1 albo wybierz polecenie Tematy Pomocy z menu Pomoc.

Aby zgłosić propozycję lub zauważoną usterkę dotyczącą systemu Pomocy lub innej funkcji tego produktu, przejdź do witryny opinii.


shfusionhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
DropDown image

shfusionhxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Aby zgłosić propozycję lub zauważoną usterkę dotyczącą systemu Pomocy lub innej funkcji tego produktu, przejdź do witryny opinii.